ru.bitel.bgbilling.modules.tv.access.om

## Interface OrderManager

- All Known Implementing Classes:
    OrderManagerAdapter

      public interface OrderManager

  Интерфейс обработчика синхронизации с MW/CAS.

      Жизненный цикл:
       init

         connect
           accountModify
           accountModify
           accountRemove
         disconnect

         connect
           accountCreate
           accountModify
           productsModify
           accountModify
           accountStateModify
         disconnect

       destroy

  Author:
    amir

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accountCreate(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Создание аккаунта в сторонней системе.
    `java.lang.Object` | `accountModify(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение аккаунта в сторонней системе.
    `java.lang.Object` | `accountOptionsModify(AbstractOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение опций аккаунта в сторонней системе.
    `java.lang.Object` | `accountRemove(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Удаление аккаунта из сторонней системы.
    `java.lang.Object` | `accountStateModify(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение состояния аккаунта в сторонней системе.
    `java.lang.Object` | `connect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Подключение к сторонней системе.
    `java.lang.Object` | `destroy()` Утилизация обработчика.
    `java.lang.Object` | `disconnect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Отключение от сторонней системы.
    `java.lang.Object` | `init(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx, int moduleId, TvDevice tvDevice, TvDeviceType tvDeviceType, ParameterMap config)` Инициализация обработчика.
    `java.lang.Object` | `productsModify(ProductOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение набора активных продуктов в сторонней системе.

- - ### Method Detail

    - #### init

          java.lang.Object init(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx,
                                int moduleId,
                                TvDevice tvDevice,
                                TvDeviceType tvDeviceType,
                                ParameterMap config)
                         throws java.lang.Exception

      Инициализация обработчика. Вызывается после создания объекта.
      Parameters:
        `ctx` -
        `moduleId` -
        `tvDevice` -
        `tvDeviceType` -
        `config` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### destroy

          java.lang.Object destroy()
                            throws java.lang.Exception

      Утилизация обработчика. Вызывается перед освобождением объекта.
      Returns:
      Throws:
        `java.lang.Exception`

    - #### connect

          java.lang.Object connect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                            throws java.lang.Exception

      Подключение к сторонней системе.
      Parameters:
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### disconnect

          java.lang.Object disconnect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                               throws java.lang.Exception

      Отключение от сторонней системы.
      Parameters:
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountCreate

          java.lang.Object accountCreate(AccountOrderEvent e,
                                         ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                  throws java.lang.Exception

      Создание аккаунта в сторонней системе.
      Parameters:
        `e` -
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountModify

          java.lang.Object accountModify(AccountOrderEvent e,
                                         ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                  throws java.lang.Exception

      Изменение аккаунта в сторонней системе.
      Parameters:
        `e` -
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountRemove

          java.lang.Object accountRemove(AccountOrderEvent e,
                                         ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                  throws java.lang.Exception

      Удаление аккаунта из сторонней системы.
      Parameters:
        `e` -
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountStateModify

          java.lang.Object accountStateModify(AccountOrderEvent e,
                                              ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                       throws java.lang.Exception

      Изменение состояния аккаунта в сторонней системе.
      Parameters:
        `e` -
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountOptionsModify

          java.lang.Object accountOptionsModify(AbstractOrderEvent e,
                                                ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                         throws java.lang.Exception

      Изменение опций аккаунта в сторонней системе.
      Parameters:
        `e` -
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### productsModify

          java.lang.Object productsModify(ProductOrderEvent e,
                                          ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                   throws java.lang.Exception

      Изменение набора активных продуктов в сторонней системе.
      Parameters:
        `e` -
        `ctx` -
      Returns:
      Throws:
        `java.lang.Exception`